This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 128394 - xterm segfaults on startup
xterm segfaults on startup
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xterm (Show other bugs)
2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-22 11:27 EDT by Greg Woods
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-30 15:13:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Full output of "strace xterm" (28.59 KB, text/plain)
2004-07-22 11:28 EDT, Greg Woods
no flags Details

  None (edit)
Description Greg Woods 2004-07-22 11:27:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
After applying the most recent (as of July 21 2004) round of Fedora
Core 2 updates, xterm no longer works. It instantly crashes with a
segfault. 

I doubt this bug is actually in xterm, as xterm itself has not been
updated. It is more likely in one of the shared libraries it uses, but
xterm is the only program I use that is exhibiting the problem.



Version-Release number of selected component (if applicable):
xterm-179-6.EL

How reproducible:
Always

Steps to Reproduce:
1. Simply try to run xterm
2.
3.
    

Actual Results:  Segmentation fault

Expected Results:  Launch xterm window

Additional info:

Here is the tail of an strace run:

open("/home/greg/.ICEauthority", O_RDONLY) = 5
fstat64(5, {st_mode=S_IFREG|0600, st_size=5177, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0x4000b000
read(5, "\0\3ICE\0\0\0$local/diamondage:/tmp/."..., 4096) = 4096
read(5, "P\0\0\0$local/diamondage:/tmp/.ICE-"..., 4096) = 1081
close(5)                                = 0
munmap(0x4000b000, 4096)                = 0
write(4,
"\0\4\1\0\3\0\0\0\20\0\0\0\0\0\0\0g\360|\323\254\2421s\303"..., 32) = 32
read(4, "\0\10\0\1\3\0\0\0", 8)         = 8
read(4, "\7\0GnomeSM\0001.\5\0002.6.0mmand", 24) = 24
write(4, "\1\1\1\0\1\0\0\0\0\0\0\0\0\0\0\0", 16) = 16
read(4, "\1\2\0\1\6\0\0\0", 8)          = 8
read(4, "%\0\0\000117f000001000109050890100000"..., 48) = 48
getpid()                                = 4270
write(4, "\1\f\1\0.\0\0\0\5\0\0\0\374<\253G\f\0\0\0CloneCommand"...,
376) = 376
setresuid32(-1, 500, -1)                = 0
setresgid32(-1, 500, -1)                = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++
Comment 1 Greg Woods 2004-07-22 11:28:56 EDT
Created attachment 102146 [details]
Full output of "strace xterm"
Comment 2 Thomas E. Dickey 2004-07-24 10:21:46 EDT
Perhaps similar to
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=255749
(a walkback using the core dump would be useful, perhaps).
Comment 3 Greg Woods 2004-07-30 15:09:15 EDT
Interestingly, I was able to work around the problem for now by
copying the xterm binary from a Fedora Core 1 system. No idea why that
works, but it does.

I'll see if I can come up with a gdb stack trace.
Comment 4 Greg Woods 2004-07-30 15:13:14 EDT
Even more interesting, I went back to the FC2 version of xterm after
applying another round of updates today, and poof! It works now.

Note You need to log in before you can comment on or make changes to this bug.